#include <gtk/gtk.h>
#include "xiaoitem.h"
#include "xiaogroup.h"

gint delete_event( GtkWidget *widget,
                   GdkEvent  *event,
		   gpointer   data )
{
    return FALSE;
}

void destroy( GtkWidget *widget,
              gpointer   data )
{
    gtk_main_quit ();
}

int main( int   argc,
          char *argv[] )
{
    GtkWidget *window;
    GtkWidget *group, *item1, *item2, *item3, *item4;
    
    gtk_init (&argc, &argv);
    
    window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    g_signal_connect (G_OBJECT (window), "delete_event",
		      G_CALLBACK (delete_event), NULL);
    g_signal_connect (G_OBJECT (window), "destroy",
		      G_CALLBACK (destroy), NULL);
    gtk_container_set_border_width (GTK_CONTAINER (window), 10);
    

    group = xiao_group_new();
    gtk_container_add(GTK_CONTAINER(window), group);

    item1 = xiao_item_new("item 1");
    xiao_group_append(XIAO_GROUP(group), XIAO_ITEM(item1));

    item2 = xiao_item_new("item 2");
    xiao_group_append(
	XIAO_GROUP(XIAO_ITEM(item1)->children), XIAO_ITEM(item2));
    gtk_widget_show(item2);

    item3 = xiao_item_new("item 3");
    xiao_group_append(
	XIAO_GROUP(XIAO_ITEM(item1)->children), XIAO_ITEM(item3));
    gtk_widget_show(item3);

    gtk_widget_show(item1);

    item4 = xiao_item_new("item 4");
    xiao_group_append(XIAO_GROUP(group), XIAO_ITEM(item4));
    gtk_widget_show(item4);
    
    gtk_widget_show(group);
    gtk_widget_show (window);

    gtk_main ();
    
    return 0;
    
}
