/* Xiao -- An outliner library for GTK
 * Copyright (C) 2002 Gary Benson
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#include "xiaogroup.h"
#include "xiaoitem.h"

static void
xiao_group_class_init(XiaoGroupClass *class)
{
}

static void
xiao_group_init (XiaoGroup *group)
{
}

GType
xiao_group_get_type(void)
{
    static GType group_type = 0;

    if(!group_type) {
	static const GTypeInfo group_info =
	{
	    sizeof(XiaoGroupClass),
	    NULL,
	    NULL,
	    (GClassInitFunc)xiao_group_class_init,
	    NULL,
	    NULL,
	    sizeof(XiaoGroup),
	    0,
	    (GInstanceInitFunc)xiao_group_init,
	};

      group_type = g_type_register_static(
	  GTK_TYPE_VBOX, "XiaoGroup", &group_info, 0);
    }

    return group_type;
}

GtkWidget*
xiao_group_new(void)
{
    return GTK_WIDGET(g_object_new(xiao_group_get_type(), NULL));
}

void
xiao_group_append(XiaoGroup *group, XiaoItem *child)
{
    g_return_if_fail(XIAO_IS_GROUP(group));
    g_return_if_fail(XIAO_IS_ITEM(child));
    g_return_if_fail(GTK_WIDGET(child)->parent == NULL);
    
    gtk_box_pack_start(GTK_BOX(group), GTK_WIDGET(child), FALSE, FALSE, 0);
}
