/* Xiao -- An outliner library for GTK
 * Copyright (C) 2002 Gary Benson
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __XIAO_GROUP_H__
#define __XIAO_GROUP_H__


#include <gdk/gdk.h>
#include <gtk/gtkvbox.h>
#include "xiaoitem.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define XIAO_TYPE_GROUP          (xiao_group_get_type ())
#define XIAO_GROUP(obj)          (GTK_CHECK_CAST (obj, XIAO_TYPE_GROUP, XiaoGroup))
#define XIAO_GROUP_CLASS(klass)  (GTK_CHECK_CLASS_CAST (klass, XIAO_TYPE_GROUP, XiaoGroupClass))
#define XIAO_IS_GROUP(obj)       (GTK_CHECK_TYPE (obj, XIAO_TYPE_GROUP))


typedef struct _XiaoGroup       XiaoGroup;
typedef struct _XiaoGroupClass  XiaoGroupClass;

struct _XiaoGroup
{
    GtkVBox vbox;
};

struct _XiaoGroupClass
{
    GtkVBoxClass parent_class;

    /* FIXME: insert signals here */
};

GtkType        xiao_group_get_type       (void);
GtkWidget*     xiao_group_new            (void);
void           xiao_group_append         (XiaoGroup *group,
						 XiaoItem  *child);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XIAO_GROUP_H__ */
