/* Xiao -- An outliner library for GTK
 * Copyright (C) 2002 Gary Benson
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __XIAO_ITEM_H__
#define __XIAO_ITEM_H__


#include <gdk/gdk.h>
#include <gtk/gtkhbox.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define XIAO_TYPE_ITEM          (xiao_item_get_type ())
#define XIAO_ITEM(obj)          (GTK_CHECK_CAST (obj, XIAO_TYPE_ITEM, XiaoItem))
#define XIAO_ITEM_CLASS(klass)  (GTK_CHECK_CLASS_CAST (klass, XIAO_TYPE_ITEM, XiaoItemClass))
#define XIAO_IS_ITEM(obj)       (GTK_CHECK_TYPE (obj, XIAO_TYPE_ITEM))


typedef struct _XiaoItem       XiaoItem;
typedef struct _XiaoItemClass  XiaoItemClass;

struct _XiaoItem
{
    GtkHBox hbox;

    GtkWidget *handle;
    GtkWidget *text;
    GtkWidget *children;
};

struct _XiaoItemClass
{
    GtkHBoxClass parent_class;

    /* FIXME: insert signals here */
};

GtkType        xiao_item_get_type       (void);
GtkWidget*     xiao_item_new            (const char    *str);
/* FIXME: insert functions here */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XIAO_ITEM_H__ */
